Subject: [Tools-discuss] Agenda Web Page

From: Tero Kivinen <[email-masked]>
Date: Sun, 1 Aug 2021 22:23:54 +0300

Maisonneuve, Julien (Nokia - FR/Paris-Saclay) writes:
> Hello,
> 
> Refreshing the agenda page (to get the latest wg agendas and materials, or
> just agenda updates) always revert the timezone to that of the meeting,
> forcing to go back to the beginning of the page to reset the timezone to the
> preferred location.
> 
> After a discussion on the 111attendees list, it would appear that a few people
> (including myself) would be in favor to have the “Local” timezone options set
> as default. It is likely to inconvenience a far smaller set of individuals
> than setting the UTC or meeting zone (people whose browser is set to a
> different locale than where they actually are, a minority in reduced travel
> times).

We already have two urls pointing to the agenda:

https://datatracker.ietf.org/meeting/agenda

and

https://datatracker.ietf.org/meeting/111/agenda-utc

The first one will default the meeting time, the second will default
to utc. I think it would be very quick fix to create third url like

https://datatracker.ietf.org/meeting/111/agenda-local

that would default to local timezone of the browser. This could be
added to the tab list at the beginning of the page where we now have
"Agenda", "UTC Agenda", "Floor plan" etc, i.e., add new "Local Agenda"
tab there, and by clicking that the user could pick whatever default
he wants for that window.

That would solve the refreshing the page problem, and user can then
bookmark the whatever page they want to use as default.

The question there is, should we have all three also from the Meetings
menu, i.e., on the Meetings menu we only have one "Agenda" entry and
that goes to the meeting time agenda. Should there be separate entries
for UTC and local agenda too?

> This condition could be different once we resume physical meetings, then the
> meeting zone would probably be the most desirable.
> 
> Alternatively setting a cookie to enable the browser to remember which zone is
> preferred would lessen the problem.

Having cookies for this kind of thing it bit problematic, as I did go
on and change my timezone several time during the meeting, clicking
local, utc and meeting on the right to switch between timezones, and
those operations are done locally in the browser, i.e., they do not do
any page loads to the datatracker, thus setting cookies there would be
bit funny. And I do like the fact that my browser tabs can have
different agenda timezones, and not make agenda timezone global
setting in the browser like it will be if cookies are used.
-- 
[email-masked]